<?php

/** Add template specific styles */
$container_styles            .= "display: none;position: fixed;bottom: 75px;left: 50px;max-width: 580px;width: 100%;padding: 20px;z-index: 999;";
$h4_styles                   .= "";
$text_styles                 .= "line-height: 1.1em;font-size: 0.9em;padding: 3px 9px;";
$accept_styles               .= "padding: 3px 8px;border-radius: 4px;font-size: 0.8em;font-weight: bold;margin-right: 10px;";
$configure_styles            .= "padding: 3px 8px;border-radius: 4px;font-size: 0.8em;font-weight: bold;margin-right: 10px;";
$marketing_check_styles      .= "margin-right: 10px;";
$marketing_statistics_styles .= "margin-right: 10px;";

?>

<div id='wgmt_gdpr' style='<?php echo $container_styles; ?>'>
    <h4 style="<?php echo $h4_styles; ?>"><?php echo $this->config['gdpr_text_titlebar']; ?></h4>
    <p style="<?php echo $text_styles; ?>"><?php echo $this->config['gdpr_text_main']; ?></p>
	<?php if ( ! empty( $this->config['gdpr_text_privacy_link'] && ! empty( $this->config['gdpr_text_privacy_text'] ) ) ) { ?>
        <p style="text-align: right;">
            <a href='<?php echo $this->config['gdpr_text_privacy_link']; ?>'><?php echo $this->config['gdpr_text_privacy_text']; ?></a>
        </p>
	<?php } ?>
    <div style="padding-left: 9px;">
        <button id="wgmt_gdpr_accept" role="button" style="<?php echo $accept_styles; ?>">
			<?php echo $this->config['gdpr_text_accept']; ?>
        </button>

		<?php if ( ! empty( $this->config['gdpr_text_configure'] ) ) { ?>
            <button id="wgmt_gdpr_config" role="button" style="<?php echo $configure_styles; ?>">
				<?php echo $this->config['gdpr_text_configure']; ?>
            </button>
		<?php } ?>
    </div>
    <div id="wgmt_gdpr_cookies_wrapper" style="display: none; float: right;">
        <label style="<?php echo $marketing_check_styles ?>">
            <input type='checkbox' id='wgmt_gdpr_marketing' name='wgmt_gdpr_marketing' checked/>
			<?php echo $this->config['gdpr_text_marketing']; ?>
        </label>
        <label style="<?php echo $marketing_statistics_styles ?>">
            <input type='checkbox' id='wgmt_gdpr_stats' name='wgmt_gdpr_stats' checked/>
			<?php echo $this->config['gdpr_text_statistics']; ?>
        </label>
    </div>
</div>
