<?php
/**
 * Google Marketing Tools for WooCommerce Uninstall
 *
 * Uninstalling Google Marketing Tools deletes options, feeds and taxonomies.
 *
 * @package WGMT\Uninstaller
 * @version 2.0.0
 * @since 2.0.0
 */

defined( 'WP_UNINSTALL_PLUGIN' ) || exit;

global $wpdb;
global $wp_roles;

// remove options
$wpdb->query( "DELETE FROM $wpdb->options WHERE option_name LIKE 'wgmt_options%';" );

// Clear any cached data that has been removed.
wp_cache_flush();
